Skip to navigation

Publish

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
agent_slugstringRequired

Request

This endpoint expects an object.
revisionintegerRequired>=1
acknowledgeRemovalsbooleanOptionalDefaults to false
acknowledgeWideningbooleanOptionalDefaults to false
expectedAccessDigeststring or nullOptional
expectedLiveVersionIdstring or nullOptional

Response

Successful Response
accessDeltaobject
affectedScheduleslist of maps from strings to any
blockerslist of objects
ceilingViolationslist of objects
earlierSessionslist of objects
harnessVersionIdstring
activatedAtstring or nullOptional
activationIdstring or nullOptional
actorstring or nullOptional
contentOriginstring or nullOptional
createdAtstring or nullOptional
priorVersionIdstring or nullOptional
publicationStatusenumOptionalDefaults to completed
Allowed values:
revisioninteger or nullOptional
unchangedbooleanOptionalDefaults to false

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error